
Name:    telepathy-kde-accounts-kcm
Summary: KDE Configuration Module for Telepathy Instant Messaging Accounts
Version: 0.1.0
Release: 3%{?dist}

License: LGPLv2+
URL:     https://projects.kde.org/projects/playground/network/telepathy/telepathy-accounts-kcm
Source0: http://download.kde.org/unstable/telepathy-kde/%{version}/src/telepathy-kde-accounts-kcm_%{version}.tar.bz2

BuildRequires: kdelibs4-devel
BuildRequires: telepathy-qt4-devel

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
Requires: telepathy-mission-control

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: telepathy-qt4-devel
%description devel
%{summary}.


%prep
%setup -q -n %{name}_%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING README
%{_kde4_libdir}/libkcmtelepathyaccounts.so.4*
%{_kde4_libdir}/kde4/kcm_telepathy_accounts.so
%{_kde4_datadir}/kde4/services/kcm_telepathy_accounts.desktop
%{_kde4_datadir}/kde4/servicetypes/kcmtelepathyaccounts-accountuiplugin.desktop
%{_datadir}/telepathy/profiles/

%files devel
%{_kde4_includedir}/KCMTelepathyAccounts/
%{_kde4_libdir}/libkcmtelepathyaccounts.so


%changelog
* Mon Sep 26 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-3
- Requires: telepathy-mission-control

* Wed Sep 14 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-2
- fix Source URL
- fix mixed spaces/tabs

* Fri Aug 12 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-1
- first try


